/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <vector3.h> 










void vector3_constructor( vector3 * this, float x,  float y,  float z ) {

		this->x = x;

		this->y = y;

		this->z = z;

	}

vector3 * vector3_operator_plus( vector3 * this, vector3 * b ) {

		vector3_add( this,  b );

		return this;

	}

vector3 * vector3_operator_add( vector3 * this, vector3 * b ) {

		vector3_add( this,  b );

		return this;

	}



void vector3_add( vector3 * this, vector3 * b ) {

		this->x		+= b->x;

		this->y		+= b->y;

		this->z		+= b->z;

	}

vector3 vector3_new(float x, float y, float z) {

	vector3 instance;

	instance.__classIndex = 3;

	vector3_constructor( &instance, x, y, z);

	return instance;

}

vector3 * vector3_newPointer(float x, float y, float z) {

	struct vector3 * pointer = malloc( sizeof ( struct vector3 ) );

	pointer->__classIndex = 3;

	vector3_constructor( pointer , x, y, z);

	return pointer;

}

